module fsm_rd_092 (RST, CLK, ptext, rtext);
//user interface
	input RST, CLK;
	input [2:0] ptext;
	output[1:0] rtext;
	reg [1:0] rtext;
//STATE ASSIGNMENTS
	`include "fsm_rd_092_stassign.v";
   //process modeling state register
   always @ (posedge RST or posedge CLK) begin
      if( RST == 1) begin
	 State <= st_st1;
      end
      else
	State <= NextState;
   end
   always @ (State or ptext) begin
      case ( State )
	  st_st1: begin
		if(1)
 		  NextState <= st_st2;
		rtext <= 'b1x;
	  end
	  st_st2: begin
		if(1)
 		  NextState <= st_st3;
		rtext <= 'bx0;
	  end
	  st_st3: begin
		if(1)
 		  NextState <= st_st4;
		rtext <= 'bxx;
	  end
	  st_st4: begin
		if(1)
 		  NextState <= st_st5;
		rtext <= 'bxx;
	  end
	  st_st5: begin
		if(1)
 		  NextState <= st_st6;
		rtext <= 'b01;
	  end
	  st_st6: begin
		if(ptext[0] == 0 )
 		  NextState <= st_st5;
		else if(ptext[0] == 1 )
 		  NextState <= st_st7;
		rtext <= 'bxx;
	  end
	  st_st7: begin
		if(1)
 		  NextState <= st_st8;
		rtext <= 'bxx;
	  end
	  st_st8: begin
		if(1)
 		  NextState <= st_st1;
		rtext <= 'bxx;
	  end
      endcase // case ( State )
   end // always @ (State or ptext)   
endmodule // fsm
